<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<link href="/css/login.css" rel="stylesheet" id="bootstrap-css">
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet">
<script src="/maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="/cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

<meta charset="UTF-8">
<title>Create car</title>
</head>

<body id="body">
<div id="login" class="container my-5">
    <h1 style="text-align: center">Create car</h1>
    <div class="card">
        <div class="card-body">
            <div class="col-md-10">
                <form action="" th:action="@{/admin/new-car}"
                      th:object="${car}" th:method="post">
                    <p>
                        <i th:if="${error != null}" th:text="${error}" class="error" style="color: red"></i>
                    </p>
                    <div class="form-group col-md-8">
                        <label for="VIN" class="col-form-label">VIN</label>
                        <input type="text" th:field="*{carVin}" class="form-control"
                               id="VIN" placeholder="VIN"
                               required="" minlength="17" maxlength="17"/>
                    </div>
                    <div class="form-group col-md-8">
                        <label for="registration" class="col-form-label">Registration</label>
                        <input type="text" th:field="*{registration}" class="form-control"
                               id="registration" placeholder="Registration"
                               required="" minlength="6" maxlength="10"/>
                    </div>

                    <div class="form-group col-md-8">
                        <label for="manufacturer" class="col-form-label">Manufacturer</label>
                        <input type="text" th:field="*{manufacturer}" class="form-control"
                               id="manufacturer" placeholder="Manufacturer"
                               required="" minlength="2" maxlength="30"/>
                    </div>

                    <div class="form-group col-md-8">
                        <label for="model" class="col-form-label">Model</label>
                        <input type="text" th:field="*{model}" class="form-control"
                               id="model" placeholder="Model"
                               required="" minlength="2" maxlength="30"/>
                    </div>
                    <div class="form-group col-md-8">
                        <label for="year" class="col-form-label">Year</label>
                        <input type="number" th:field="*{year}" class="form-control"
                               id="year" placeholder="Year"
                               required=""/>
                    </div>
                    <div class="form-group col-md-8">
                        <label for="owner" class="col-form-label">Owner</label>
                        <select th:field="*{customer.id}" id="owner" class="form-control">
                            <option th:each="cust : ${customers}"
                                    th:value="${cust.id}"
                                    th:text="${cust.getName()}+' '+ ${cust.getEmail()}">Customers
                            </option>
                        </select>
                    </div>

                    <div class="col-md-6">
                        <input type="submit" class="btn btn-primary" value=" Create car ">
                    </div>
                    <p>
                        <a th:href="@{/admin}">Back to Admin portal</a>
                    </p>
                </form>

            </div>
        </div>
    </div>
</div>
</body>
</html>